/** @file GalioBrowser.idl
 *
 * Copyright (C) Espial Limited 2014 - Company confidential - All rights reserved.
 *
 */

    [
        Conditional=RMAI,
        InterfaceName=Browser
    ] interface GalioBrowser {
        const unsigned short HOME = 2;
        const unsigned short STOP = 7;
        const unsigned short GOTO_URI = 3;
        const unsigned short BACK = 0;
        const unsigned short FORWARD = 1;
        const unsigned short PREVIOUS_WINDOW = 5;
        const unsigned short NEXT_WINDOW = 4;
        const unsigned short KILL_WINDOW = 6;
        const unsigned short STATE_DISABLED = 0;
        const unsigned short STATE_ENABLED = 1;
        const unsigned short STATE_HIDDEN = 2;
        const unsigned short STATE_ABSENT = 3;
        const unsigned short REFRESH_COMPLETE_FORMAT = 5;
        const unsigned short REFRESH_REDRAW = 0;
        const unsigned short REFRESH_REFORMAT = 1;
        const unsigned short REFRESH_RELOAD = 2;
        const unsigned short REFRESH_REFETCH = 3;

        readonly attribute DOMWindow currentView;
        readonly attribute boolean shuttingDown;

        void reload( in optional long firstArg, in optional DOMWindow optionalWindowArg );
        void gotoURI( in DOMString urlArg, in optional DOMWindow optionalWindowArg );
        void stop( in optional DOMWindow optionalWindowArg );
        void forward( in optional DOMWindow optionalWindowArg );
        void back( in optional DOMWindow optionalWindowArg );
        long actionPossible( in long actionArg, in optional DOMWindow optionalWindowArg );
        void killWindow( in optional DOMWindow optionalWindowArg );
        void previousWindow( in optional DOMWindow optionalWindowArg );
        void home( in optional DOMWindow optionalWindowArg );
        void nextWindow( in optional DOMWindow optionalWindowArg );
    };
